/*
 * and8.h
 *
 *  Created on: 15-02-2017
 *      Author: Krzysztof Jakubczyk
 */

#ifndef OR8_H_
#define OR8_H_

#include "tdefs.h"

struct or8_logic
{
	u8 *in[8];
	u8 in_bit_mask[8];

	u8 *out;
	u8 out_bit_mask;
};

struct or8_io
{
	u32 in1_in;
	u32 in2_in;
	u32 in3_in;
	u32 in4_in;
	u32 in5_in;
	u32 in6_in;
	u32 in7_in;
	u32 in8_in;
	u32 out_out;
}__attribute__((__packed__));

struct or8_params
{
}__attribute__((__packed__));

struct or8_args
{
	struct or8_io io;
	struct or8_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void or8(void *args, void *logic);
extern int or8_initlog(void *arguments, void *logic);

#endif /* OR8_H_ */
